package com.yc.education.service;

import com.yc.education.model.Classification;

import java.util.List;

/**
 * huangpan
 * 2019/9/24
 * energy
 */
public interface ClassificationService extends IService<Classification>{
    /*查询所有的新闻分类*/
    List<Classification> getClassification();
    /*新增*/
    void saveClassification(Classification classification);
    /*查询单条*/
    Classification getClassificationId(Integer id);
    /*修改*/
    void updateClassification(Classification classification);
    /*删除*/
    void deleteClassification(Integer id);
    /*查询推荐到首页的新闻分类*/
    List<Classification> getClassificationSort();


    List<Classification> recommendId();
}
